mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true)

Use the structure when a type implements interface methods that use method names other than those specified by the interface, or when a type implements multiple interfaces which have a method with the same name.

To obtain an structure, use the method.

Retrieves the mapping of an interface into the actual methods on a class that implements that interface.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.MethodInfo[]

  The elements returned in the InterfaceMethods array match their counterpart elements returned from the array. That is, the elements are in the same array indexing order.

  Shows the methods that are defined on the interface.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type To be added

  Shows the type that represents the interface.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.MethodInfo[]

  The elements returned in the array match their counterpart elements returned from the TargetMethods array. That is, the elements are in the same array indexing order.

  Shows the methods that implement the interface.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type

  The value of the field is the instance of whose method returned the current structure.

  Represents the type that was used to create the interface mapping.